<div class="page show">
  <div class="container">
    <h1 class="page__title">{{ show.name }}</h1>
    <div class="show__section">
      <div class="show__header">
        <div class="show__poster">
          <img [src]="show.poster_path" alt="logo" />
        </div>
        <p class="show__overview">
          {{ show.overview || "We don't have description" }}
        </p>
      </div>
      <app-sidebar class="show__sidebar" title="Details">
        <app-sidebar-row *ngIf="show.status" label="Status" [value]="show.status"></app-sidebar-row>
        <app-sidebar-row *ngIf="show.episode_run_time" label="Episode run time">
          {{ show.episode_run_time[0] | hours }}
        </app-sidebar-row>
        <app-sidebar-row *ngIf="show.genres" label="Genres">
          <ul>
            <li
              *ngFor="let genre of show.genres; let last = last"
              [routerLink]="['/tv-shows', genre.id]"
              [queryParams]="{ genre: genre.name }"
              class="display-inline link"
            >
              <span *ngIf="!last">{{ genre.name }}, </span>
              <span *ngIf="last">{{ genre.name }}</span>
            </li>
          </ul>
        </app-sidebar-row>
        <app-sidebar-row *ngIf="show.first_air_date" label="First air date">
          {{ show.first_air_date }}
        </app-sidebar-row>
        <app-sidebar-row *ngIf="show.last_air_date" label="Last air date">
          {{ show.last_air_date }}
        </app-sidebar-row>
      </app-sidebar>
    </div>
    <div *ngIf="show.seasons" class="show__seasons">
      <h3>Seasons ({{ show.seasons.length }}):</h3>
      <serial-seasons-slider [seasons]="show.seasons"></serial-seasons-slider>
    </div>
  </div>
</div>
